- name: "uninstalling {{ plugin }}"
  block:
    - name: deleting namespace
      community.kubernetes.k8s:
        name: "portainer-agent"
        api_version: v1
        kind: Namespace
        state: absent
  when: not cloudstack['plugins'][plugin]['enabled']|bool

- name: "verifying plugin status"
  debug:
    msg: "Plugin {{ plugin }} is enabled. Not uninstalling."
  when: cloudstack['plugins'][plugin]['enabled']|bool
